import {ref} from "vue";
enum color {Red, Yellow, Blue, green}

function addNewMessage(errorMessage: string, type?: color, timeout?: number){
    if (timeout == null){
        timeout = 5000;
    }
    if (type == null){
        type = color.Red;
    }

    const data = {errorMessage: errorMessage, timeout: timeout, type: type, uid: Math.random()*100000};
    errorList.value.push(data)
    setTimeout(() => errorList.value.slice(0, 1), timeout)
}

const errorList: any= ref([])

export {addNewMessage, errorList, color}